summaryrefslogtreecommitdiffstats
path: root/.scripts
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-08-04 19:55:44 -0400
committerLuke Smith <luke@lukesmith.xyz>2018-08-04 19:55:44 -0400
commit8eb38a3790b129258aa6904b0c5b0a62dc2dcb56 (patch)
tree6e7ece05933aaf2024514b9cbd6a25d3bddbe98a /.scripts
parent78ee3599b3074caa8f8c0ac08e5c077b95cd1b2a (diff)
downloadeibhear-8eb38a3790b129258aa6904b0c5b0a62dc2dcb56.tar.gz
eibhear-8eb38a3790b129258aa6904b0c5b0a62dc2dcb56.tar.zst
eibhear-8eb38a3790b129258aa6904b0c5b0a62dc2dcb56.zip
minor shortcut-sync changes
Diffstat (limited to '.scripts')
-rwxr-xr-x.scripts/shortcuts.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/.scripts/shortcuts.sh b/.scripts/shortcuts.sh
index 4758787..6c8147a 100755
--- a/.scripts/shortcuts.sh
+++ b/.scripts/shortcuts.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+# Shell rc file (i.e. bash vs. zsh, etc.)
+shellrc="$HOME/.bashrc"
+
# Config locations
folders="$HOME/.scripts/folders"
configs="$HOME/.scripts/configs"
@@ -9,26 +12,23 @@ shell_shortcuts="$HOME/.shortcuts"
ranger_shortcuts="$HOME/.config/ranger/shortcuts.conf"
qute_shortcuts="$HOME/.config/qutebrowser/shortcuts.py"
-# Shell rc file (i.e. bash vs. zsh, etc.)
-shellrc="$HOME/.bashrc"
-
# Download the shorcut files if not present.
-[[ ! -f $folders ]] && curl https://raw.githubusercontent.com/LukeSmithxyz/voidrice/master/.scripts/folders > "$folders"
-[[ ! -f $configs ]] && curl https://raw.githubusercontent.com/LukeSmithxyz/voidrice/master/.scripts/configs > "$configs"
+[[ ! -f "$folders" ]] && curl https://raw.githubusercontent.com/LukeSmithxyz/voidrice/master/.scripts/folders > "$folders"
+[[ ! -f "$configs" ]] && curl https://raw.githubusercontent.com/LukeSmithxyz/voidrice/master/.scripts/configs > "$configs"
# Remove
-rm -f $shell_shortcuts $ranger_shortcuts $qute_shortcuts
+rm -f "$shell_shortcuts" "$ranger_shortcuts" "$qute_shortcuts"
# Ensuring that output locations are properly sourced
-(grep "source ~/.shortcuts" $shellrc)>/dev/null || echo "source ~/.shortcuts" >> $shellrc
-(grep "source $HOME/.config/ranger/shortcuts.conf" $HOME/.config/ranger/rc.conf)>/dev/null || echo "source $HOME/.config/ranger/shortcuts.conf" >> $HOME/.config/ranger/rc.conf
-(grep "config.source('shortcuts.py')" $HOME/.config/qutebrowser/config.py)>/dev/null || echo "config.source('shortcuts.py')" >> $HOME/.config/qutebrowser/config.py
+(grep "source ~/.shortcuts" "$shellrc")>/dev/null || echo "source ~/.shortcuts" >> "$shellrc"
+(grep "source ~/.config/ranger/shortcuts.conf" "$HOME/.config/ranger/rc.conf")>/dev/null || echo "source ~/.config/ranger/shortcuts.conf" >> "$HOME/.config/ranger/rc.conf"
+(grep "config.source('shortcuts.py')" "$HOME/.config/qutebrowser/config.py")>/dev/null || echo "config.source('shortcuts.py')" >> "$HOME/.config/qutebrowser/config.py"
# directory shortcuts
-sed "/^#/d" $folders | awk '{print "alias "$1"=\"cd "$2" && ls -a\""}' >> $shell_shortcuts
-sed "/^#/d" $folders | awk '{print "map g"$1" cd "$2"\nmap t"$1" tab_new "$2"\nmap m"$1" shell mv -v %s "$2"\nmap Y"$1" shell cp -rv %s "$2}' >> $ranger_shortcuts
-sed "/^#/d" $folders | awk '{print "config.bind(\";"$1"\", \"set downloads.location.directory "$2" ;; hint links download\")"}' >> $qute_shortcuts
+sed "/^#/d" "$folders" | awk '{print "alias "$1"=\"cd "$2" && ls -a\""}' >> "$shell_shortcuts"
+sed "/^#/d" "$folders" | awk '{print "map g"$1" cd "$2"\nmap t"$1" tab_new "$2"\nmap m"$1" shell mv -v %s "$2"\nmap Y"$1" shell cp -rv %s "$2}' >> "$ranger_shortcuts"
+sed "/^#/d" "$folders" | awk '{print "config.bind(\";"$1"\", \"set downloads.location.directory "$2" ;; hint links download\")"}' >> "$qute_shortcuts"
# dotfile shortcuts
-sed "/^#/d" $configs | awk '{print "alias "$1"=\"$EDITOR "$2"\""}' >> $shell_shortcuts
-sed "/^#/d" $configs | awk '{print "map "$1" shell $EDITOR "$2}' >> $ranger_shortcuts
+sed "/^#/d" "$configs" | awk '{print "alias "$1"=\"$EDITOR "$2"\""}' >> "$shell_shortcuts"
+sed "/^#/d" "$configs" | awk '{print "map "$1" shell $EDITOR "$2}' >> "$ranger_shortcuts"